# Magento 2 Delete Orders free by Mageplaza

Mageplaza Delete Orders extension for Magento 2 helps admins completely remove unnecessary orders, invoices, shipments and credit memos which are arised during testing process. This helps simplify order management and get these arranged neater.


## Highlight features

- Delete mass orders
- Delete mass invoices
- Delete mass shipments
- Delete mass credit memos
- Ability to delete all
- Delete related data safely


## 1. Documentation

- Installation guide: https://www.mageplaza.com/install-magento-2-extension/
- User guide:http://docs.mageplaza.com/delete-order-m2/index.html
- Introduction page: https://www.mageplaza.com/magento-2-delete-orders/
- Get Support: https://github.com/mageplaza/magento-2-delete-orders/issues
- Contribute on Github: https://github.com/mageplaza/magento-2-delete-orders
- Changelog: https://www.mageplaza.com/changelog/m2-delete-order.txt
- License https://www.mageplaza.com/LICENSE.txt

## 2. FAQs

#### Q: I got error: `Mageplaza_Core has been already defined`
A: Read solution: https://github.com/mageplaza/module-core/issues/3


## 3. How to install


## ✓ Install via composer (recommend)
Run the following command in Magento 2 root folder:

```
composer require mageplaza/magento-2-blog-extension
php bin/magento setup:upgrade
php bin/magento setup:static-content:deploy
```


## 4. Problems & Solutions

Before applying any new changes in an online store, store admins have to carry quite many tests. This testing process can arise a number of orders, invoices, shipments and credit memos which are obviously unnecessary in long term and they can cause difficulties in management. Unfortunately, default Magento 2 doesn’t support any functionalities to remove them from the backend. This consequently causes frustration and inconvenience in administration.

There should be a way to deal with this problem, Mageplaza Delete Orders extension is developed to help store admins simplify this task. The module helps delete orders, invoices, shipments and credit memos from the backend but keeps the retire data safe. The job can be done in the blink of an eye with mass deleting feature and ability to delete all.

## 5. Why online stores must have Mageplaza Delete Orders

### To keep the backend well-arranged and neat
The appearance of test orders makes a store’s backend look like a mess. Thus cuts in unnecessary orders, shipments, invoices and credit memos created for testing will make everything neater, easier to follow and less confusing.

### To manage the backend more easily
The large number of test orders can confuse store admins and this can cause inconvenience or mistakes in managing. Having a neater backend will simplify order management.


## 6. Features

![magento 2 delete orders](https://cdn.mageplaza.com/media/general/GKcj6HQ.png)

### Delete mass test orders

To remove one order, store admins only need to manipulate with few clicks. Also, many orders created for testing purposes can be remove completely in a large number simultaneously by checking multiple desired items and clicking on Delete. Other related data will be removed along with the orders without any risks to affect the rest data.

### Delete mass test Invoices, Shipments and Credit Memos

Like deleting test orders, removing invoices, shipments and credit memos is also easy. Within simple steps, all of them can be erased from the backend along with their data. Store admins can delete only one or many invoices/shipments/credit memos at once.

### Delete all

Store admins are able to delete all test orders, invoices, shipments and credit memos really easily by performing some clicks. There will always be a confirmation step at the end to make sure everything is done right before all are eased from the backend. Hence, store admins can be carefree when they delete all orders simultaneously.

### Delete related information in safety

While deleting orders, invoices, shipments and credit memos, their related data will be removed from the backend also. However, Mageplaza Delete Orders extension will make sure that the rest data can be kept safe. No harm is caused with other necessary information.

## 7. More features

- Mageplaza Delete Orders for Magento 2 is totally open-source
- The module supports multi stores
- Multiple languages are supported
- It’s easy to customize
- Mageplaza provides a well-documented user guide for Delete Orders extension
